Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class JMSMessageInfo

    java.lang.Object
      weblogic.messaging.runtime.MessageInfo
          weblogic.jms.extensions.JMSMessageInfo

    public class JMSMessageInfo

extends weblogic.messaging.runtime.MessageInfo

This class encapsulates a JMS message and meta-data that describes the context of the message as it exists in the server at a given point in time. Instances of this class are created by the JMX message management APIs that are used for the browsing and manipulation of messages. These APIs return a CompositeData representation of this object. This object may also be used by a management client to import a message.

See Also:
  `CompositeData`, `JMSDestinationRuntimeMBean`, `JMSServerRuntimeMBean`, `JMSDurableSubscriberRuntimeMBean`

Field Summary

Fields inherited from class weblogic.messaging.runtime.MessageInfo
`consumerID, handle, ITEM_CONSUMER_ID, ITEM_HANDLE, ITEM_SEQUENCE_NUMBER, ITEM_STATE, ITEM_XID_STRING, openItemDescriptions, openItemNames, openItemTypes, sequenceNumber, state, STATE_DELAYED, STATE_EXPIRED, STATE_ORDERED, STATE_PAUSED, STATE_RECEIVE, STATE_REDELIVERY_COUNT_EXCEEDED, STATE_SEND, STATE_TRANSACTION, STATE_VISIBLE, stateString, xidString`

Constructor Summary
`JMSMessageInfo(CompositeData cd)` Creates an instance from a CompositeData represenation.
`JMSMessageInfo(long handle, int state, String xidString, long sequenceNumber, String consumerID, WLMessage message, String destinationName, boolean bodyIncluded)` Construct an instance with the specified attributes.
`JMSMessageInfo(WLMessage message)` Constructs an object with only the WLMessage attribute.

Method Summary
`protected Map` | `getCompositeDataMap()`
`String` | `getDestinationName()` Returns the name of the destination that is hosting the message.
`WLMessage` | `getMessage()` Returns the JMS message attribute.
`long` | `getMessageSize()` Returns the size of the message including the body.
`protected void` | `initOpenInfo()`
`boolean` | `isBodyIncluded()` Returns true if the message body is included in the CompositeData representation.
`protected void` | `readCompositeData(CompositeData cd)`
`void` | `setBodyIncluded(boolean bodyIncluded)` Sets the BodyIncluded attribute.
`void` | `setDestinationName(String destinationName)` Sets the DestinationName attribute.
`void` | `setMessage(WLMessage message)` Sets the message attribute.
`void` | `setMessageSize(long messageSize)` Sets the MessageSize attribute.

Methods inherited from class weblogic.messaging.runtime.MessageInfo
`getCompositeType, getConsumerID, getHandle, getSequenceNumber, getState, getStateString, getStateString, getXidString, setConsumerID, setHandle, setSequenceNumber, setState, setXidString, toCompositeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSMessageInfo

    public JMSMessageInfo(CompositeData cd)
                   throws OpenDataException

  Creates an instance from a CompositeData represenation.

  Parameters:
    `cd` - An open data representation of a JMSMessageInfo instance.
  Throws:
    `OpenDataException` - An error occurred while extracting attributes from the CompositeData representation.

### JMSMessageInfo

    public JMSMessageInfo(long handle,
                          int state,
                          String xidString,
                          long sequenceNumber,
                          String consumerID,
                          WLMessage message,
                          String destinationName,
                          boolean bodyIncluded)

  Construct an instance with the specified attributes.

  Parameters:
    `handle` - The cursor handle of the message.
    `state` - The state of the message.
    `xidString` - The string representation of the associated Xid
    `sequenceNumber` - The sequence number of the message.
    `consumerID` - Information about the entity consuming the message.
    `message` - A JMS message.
    `destinationName` - The name of the destination where the message exists.
    `bodyIncluded` - Indicates whether the body of the message should is included in the ComositeData representation.

### JMSMessageInfo

    public JMSMessageInfo(WLMessage message)

  Constructs an object with only the WLMessage attribute. The resulting CompositeData is intended for use with the message import feature. This constructor will include the message body in the CompositeData representation.

  Parameters:
    `message` -
  See Also:
    `JMSMessageManagementRuntimeMBean.importMessages(CompositeData[], Boolean)`

Method Detail

### initOpenInfo

    protected void initOpenInfo()

  Overrides:
    `initOpenInfo` in class `weblogic.messaging.runtime.MessageInfo`

### getMessage

    public WLMessage getMessage()

  Returns the JMS message attribute. Note that if the JMSMessageInfo instance was created from a CompositeData representation where the bodyIncluded attribute is set to false, the message type returned may differ from the original message type.

  Returns:
    the JMS message.

### setMessage

    public void setMessage(WLMessage message)

  Sets the message attribute.

  Parameters:
    `message` - A JMS message.

### getMessageSize

    public long getMessageSize()

  Returns the size of the message including the body.

  Returns:
    the size of the message in bytes.

### setMessageSize

    public void setMessageSize(long messageSize)

  Sets the MessageSize attribute.

  Parameters:
    `messageSize` - The message size in bytes.

### getDestinationName

    public String getDestinationName()

  Returns the name of the destination that is hosting the message. This attribute is used to differentiate messages that are returned from cursors that aggregate messages across destinations.

  Returns:
    the destination name.

### setDestinationName

    public void setDestinationName(String destinationName)

  Sets the DestinationName attribute.

  Parameters:
    `destinationName` - The destination name.

### isBodyIncluded

    public boolean isBodyIncluded()

  Returns true if the message body is included in the CompositeData representation.

  Returns:
    the value of the BodyIncluded attribute.

### setBodyIncluded

    public void setBodyIncluded(boolean bodyIncluded)

  Sets the BodyIncluded attribute.

  Parameters:
    `bodyIncluded` - Indicates whether to include the message body in the CompositeData representation.

### readCompositeData

    protected void readCompositeData(CompositeData cd)
                              throws OpenDataException

  Overrides:
    `readCompositeData` in class `weblogic.messaging.runtime.MessageInfo`
  Throws:
    `OpenDataException`

### getCompositeDataMap

    protected Map getCompositeDataMap()
                               throws OpenDataException

  Overrides:
    `getCompositeDataMap` in class `weblogic.messaging.runtime.MessageInfo`
  Throws:
    `OpenDataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD